CMSIS-Driver: Data Fields

| CMSIS-Driver Version 2.7.1 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - e -

- ecc_error : ARM_NAND_STATUS
- ecc_gap : ARM_NAND_ECC_INFO
- ecc_offset : ARM_NAND_ECC_INFO
- ecc_size : ARM_NAND_ECC_INFO
- edl : ARM_CAN_MSG_INFO
- end : ARM_FLASH_SECTOR
- EndpointConfigure : ARM_DRIVER_USBD
- EndpointStall : ARM_DRIVER_USBD
- EndpointTransfer : ARM_DRIVER_USBD
- EndpointTransferAbort : ARM_DRIVER_USBD
- EndpointTransferGetResult : ARM_DRIVER_USBD
- EndpointUnconfigure : ARM_DRIVER_USBD
- erasable : ARM_STORAGE_BLOCK_ATTRIBUTES
- Erase : ARM_DRIVER_STORAGE
- erase_all : ARM_STORAGE_CAPABILITIES
- erase_chip : ARM_FLASH_CAPABILITIES
- erase_unit : ARM_STORAGE_BLOCK_ATTRIBUTES
- EraseAll : ARM_DRIVER_STORAGE
- EraseChip : ARM_DRIVER_FLASH
- erased_value : ARM_FLASH_INFO , ARM_STORAGE_INFO
- EraseSector : ARM_DRIVER_FLASH
- error : ARM_FLASH_STATUS , ARM_STORAGE_STATUS
- esi : ARM_CAN_MSG_INFO
- EthGetRxFrameSize : ARM_DRIVER_WIFI
- EthReadFrame : ARM_DRIVER_WIFI
- EthSendFrame : ARM_DRIVER_WIFI
- event_ap_connect : ARM_WIFI_CAPABILITIES
- event_ap_disconnect : ARM_WIFI_CAPABILITIES
- event_connect : ARM_USBH_CAPABILITIES
- event_cts : ARM_USART_CAPABILITIES
- event_dcd : ARM_USART_CAPABILITIES
- event_device_ready : ARM_NAND_CAPABILITIES
- event_disconnect : ARM_USBH_CAPABILITIES
- event_dsr : ARM_USART_CAPABILITIES
- event_eth_rx_frame : ARM_WIFI_CAPABILITIES
- event_frame_error : ARM_SAI_CAPABILITIES
- event_mode_fault : ARM_SPI_CAPABILITIES
- event_overcurrent : ARM_USBH_CAPABILITIES
- event_ready : ARM_FLASH_CAPABILITIES
- event_ri : ARM_USART_CAPABILITIES
- event_rx_frame : ARM_ETH_MAC_CAPABILITIES
- event_rx_timeout : ARM_USART_CAPABILITIES
- event_tx_complete : ARM_USART_CAPABILITIES
- event_tx_frame : ARM_ETH_MAC_CAPABILITIES
- event_vbus_off : ARM_USBD_CAPABILITIES
- event_vbus_on : ARM_USBD_CAPABILITIES
- event_wakeup : ARM_ETH_MAC_CAPABILITIES
- exact_filtering : ARM_CAN_OBJ_CAPABILITIES
- executable : ARM_STORAGE_BLOCK_ATTRIBUTES
- ExecuteSequence : ARM_DRIVER_NAND
- external_loopback : ARM_CAN_CAPABILITIES